<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>
<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/elettra_logo.gif" BORDER=0></A>

		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/soleil_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.cells.es/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/alba.jpg" BORDER=0></A>
		</Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.esrf.fr/Infrastructure/Computing/tango/" TARGET="_top">
					 TANGO </a> <Br> Device Servers
			</Center></FONT>
    	</Td>
    </TR>
</TABLE>
<Br>


<HR WIDTH="100%"></H5>

<Br>
<center>
<h1>
Starter for Tango Administration<Br>
Device Description
</h1>
<Br>
<b>
Revision: 3.8 - Author: pascal_verdier
</b>
</center>

<Br>
<Br>
<Br>
<Br>
This device server is able to control 
<A HREF="http://www.esrf.fr/tango/" target="_top"> Tango </a> device servers. <Br> 
It is able to start or stop and to report the status of these components.<Br>


It gets a list of processes (device servers) from database to start/stop/control on the host . 
<Br>
To change the type of control by Starter for a server, use the tango administrator
<A HREF="http://www.esrf.fr/computing/cs/tango/tango_doc/tools_doc/astor_doc/index.html" Target="_top">
Astor </A>. 
<Br>
<Br>
<Br>
<b> WARNING : </b><Br>
<li> To be recognized by
	<A HREF="http://www.esrf.fr/computing/cs/tango/tango_doc/tools_doc/astor_doc/index.html" Target="_top">
	Astor</A> the starter device must have a specific name.<Br>
	This name must be <b>tango/admin/<i>{hostname}</i></b>
		(e.g. <i>tango/admin/hal</i>).<Br>
<Br>
<Br>
<P><IMG SRC="Astor-Starter.jpg">
<Br>
<Br>
<Br>
The <b>Starter</b> device server ping the controlled servers during the
<b> State</b> polled command.<Br>
In case of answer or not, the host state is calculated, and could be read
and displayed by Astor.
<P><IMG SRC="Astor-Starter-database.jpg">
<Br>
<Br>
<Br>
</BODY>
</HTML>
